﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageA.aspx.cs" Inherits="Cases_Window_IFrame_and_Modal_Popup_1152338_PageA" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Catalogs</title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
    <style>
        .shelf-column {
            display: inline-block;
            position: relative;
        }

            .shelf-column.first {
                width: 470px;
                height: 380px;
                background-image: url(images/shelf_background1.png);
                background-repeat: no-repeat;
                margin-right: 20px;
            }

            .shelf-column.second {
                width: 364px;
                height: 380px;
                /*background-image: url(images/shelf_background2.png);*/
                background-repeat: no-repeat;
            }

            .shelf-column button {
                display: inline-block;
                position: relative;
                position: absolute;
            }

        .microsoft-surface {
            left: 210px;
            top: -1px;
        }

        .mac-book-pro {
            left: 9px;
            top: 155px;
        }

        .size-custom {
            max-width: 860px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function openPopUp(sender, args) {
                window.radopen("", "CatalogWindow", window.innerWidth * 0.8, window.innerHeight * 0.8);
            }
            function closeWindow(sender, args) {
                GetRadWindowManager().closeActiveWindow();
            }
        </script>
        <h2>Page A</h2>
        <telerik:RadWindowManager ID="RadWindowManager1" runat="server" EnableShadow="true" Animation="FlyIn">
            <Windows>
                <telerik:RadWindow RenderMode="Lightweight" VisibleStatusbar="false" VisibleTitlebar="true" ID="CatalogWindow" runat="server" Modal="true" Behaviors="Close">
                    <ContentTemplate>
                        <asp:Label ID="Label1" runat="server" Text="<h2>Modal Window of Page A</h2>"></asp:Label>
                        <telerik:RadButton ID="RadButton3" runat="server" Text="Close" AutoPostBack="false" OnClientClicked="closeWindow"></telerik:RadButton>
                    </ContentTemplate>
                </telerik:RadWindow>
            </Windows>
        </telerik:RadWindowManager>
        <telerik:RadButton ID="RadButton1" runat="server" Text="Open Modal A" AutoPostBack="false" OnClientClicked="openPopUp"></telerik:RadButton>
        <telerik:RadButton ID="RadButton2" runat="server" Text="Open Modal B" AutoPostBack="false" OnClientClicked="openPopUp"></telerik:RadButton>
    </form>
</body>
</html>
